Bug 501132 - Switch OpenAL to OpenAL-Soft
Switch OpenAL to OpenAL-Soft
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 16:56 EDT by Felix Kaechele
Modified: 2009-08-18 13:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 13:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Kaechele 2009-05-16 16:56:03 EDT
As already stated in this [1] thread which was posted a year ago OpenAL should be updated to OpenAL-Soft which has an active upstream (as opposed to the normal OpenAL). Have there been taken measures to get this done anytime soon?

I'm asking because I'm trying to compile Unknown Horizons on my machine which needs the newer OpenAL-Soft.

[1]: http://osdir.com/ml/linux.redhat.fedora.games/2008-05/msg00003.html
Comment 1 Hans de Goede 2009-05-17 06:09:05 EDT
I second this, I think doing this right at the start of F-12 is a good idea, Debian has already made the swithc, so we should be able to get patches from them
for most dependend packages (where needed).
Comment 2 Bug Zapper 2009-06-09 11:57:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Thomas Kowaliczek 2009-06-24 21:44:21 EDT
Here is my openal-soft package but it is in review request

https://bugzilla.redhat.com/show_bug.cgi?id=507110
Comment 4 Mamoru TASAKA 2009-07-05 13:55:42 EDT
Setting NEEDINFO
Comment 5 Andreas Bierfert 2009-07-05 17:30:11 EDT
As stated several times before I am all for replacing openal by openal soft. However this should be discussed somewhere else and not in bugzilla. Maybe make a feature request out of it for F12?
Comment 6 Thomas Kowaliczek 2009-07-05 18:31:01 EDT
How can i make or you this feature request?
Comment 7 Hans de Goede 2009-07-06 03:22:16 EDT
Andreas,

This was alreayd discussed somewhere in the F-10 timeframe and then it was
already decided to do this, but it was postponed because we were to close
to the feature freeze. Then during F-11 we all seem to have had different priorities, lets not go and discuss this again, OpenAL-soft a drop in replacement
API wise (but not ABI wise) so all that is needed is a rebuild.

I'm afraid that if we are going to first have a long discussion on this, we
will be too late for F-12 too. Also notice the Debian has already done this
without any problems almost a year ago.

So lets just make the switch, drop the old packages and send a mail to
fedora-devel-announce that al openal using packages will need to be rebuild,
and that it would be a good idea to look at the matching Debian package for
any patches to make things work (better) with OpenAL-soft.

Regards,

Hans
Comment 8 Mamoru TASAKA 2009-07-06 12:47:04 EDT
+1 for just switching to openal-soft (without writing feature request)
Comment 9 Mamoru TASAKA 2009-07-23 12:01:17 EDT
Any progress here?
Comment 10 Thomas Kowaliczek 2009-07-23 17:12:17 EDT
Ask Andreas Bierfert he is the mantanier of this package.
Comment 11 Frederic Brin 2009-08-03 10:44:13 EDT
Hi,

As Fedora has now switch to PulseAudio as its default sound daemon, this package should be updated (As far as https://bugzilla.redhat.com/show_bug.cgi?id=507110 is concerned)

+ default config file should be installed:
-> alsoftrc.sample should be installed to /etc/openal/alsoft.conf

+ Drivers section should be updated whith
drivers = pulse, alsa

Regards,
Frédéric
Comment 12 Thomas Kowaliczek 2009-08-03 17:46:00 EDT
Non-responsive Maintainer Policy

i will take this packages when you don´t will answer here Andreas Bierfert

This is the first step File a bug against the package in bugzilla asking for the maintainer to respond (after checking if the maintainer is on Vacation ).
Comment 13 Andreas Bierfert 2009-08-04 11:49:17 EDT
What is it with non responsive. Once openal-soft is submitted openal can be retired. Before that there is nothing for me to do on openal. To my impression other people were taking care of adding openal-soft to fedora.
Comment 14 Mamoru TASAKA 2009-08-17 12:40:22 EDT
Now as openal-soft is introduced on rawhide tree, please submit
a request to rel-eng team to remove openal from rawhide tree
(now adding "dead.package" in Fedora CVS system does not remove
 the package from rawhide tree automatically, request to rel-eng
 team is also needed)

https://fedorahosted.org/rel-eng/
Comment 15 Andreas Bierfert 2009-08-17 15:14:39 EDT
I did this a couple of hours ago so it should be handled soon. As you found the ticket already here is the link for reference:

https://fedorahosted.org/rel-eng/ticket/2124
Comment 16 Mamoru TASAKA 2009-08-18 13:15:36 EDT
Now openal is blocked on koji for dist-f12. Once F12alpha freeze
is unfrozen openal will be removed from rawhide tree.

Now closing this ticket.
Comment 17 Mamoru TASAKA 2009-08-18 13:20:00 EDT
Oops:

Andreas, the last issue is that it is better that you release the
ownership of openal on rawhide (to make openal marked as orphaned
on rawhide). Please visit:
https://admin.fedoraproject.org/pkgdb/packages/name/openal

(only for devel. Now we have to make changes on Fedora CVS, rel-eng
 (koji) and Fedora pkgdb ... )

Note You need to log in before you can comment on or make changes to this bug.